PCRE2_SET_PARENS_NEST_LIMIT(3)

NAME
PCRE2 - Perl-compatible regular expressions (revised API)

SYNOPSIS

#include <pcre2.h>

int pcre2_set_parens_nest_limit(pcre2_compile_context *ccontext,
  uint32_t value);

DESCRIPTION

This function sets, in a compile context, the maximum depth of nested parentheses in a pattern. The result is always zero.

There is a complete description of the PCRE2 native API in the pcre2api page and a description of the POSIX API in the pcre2posix page.